<?php

namespace General\Models\OfficialAccount;

use Illuminate\Database\Eloquent\Model;


class ForceSubscribeUsers extends Model
{
    protected $tables = 'force_subscribe_users';

    protected $fillable = [
        'uid',
        'official_account_id',
        'distribution_channel_id',
        'appid',
        'openid',
        'is_subscribed',
        'subscribe_time',
        'unsubscribe_time',
        'last_interactive_time',
        'bid',
        'send_order_id'
    ];

    protected function official_account()
    {
        return $this->hasOne(OfficialAccount::class, 'appid', 'appid');
    }
}
