<?php

/**
 * Created by PhpStorm.
 * User: hp
 * Date: 2017/11/21
 * Time: 10:42
 */

namespace General\Models\User;

use General\Models\OfficialAccount\ForceSubscribeUsers;
use Illuminate\Database\Eloquent\Model;

/**
 * @property ForceSubscribeUsers $force_subscribe_user
 */
class User extends Model
{
    protected $table = 'users';

    protected $fillable =
    [
        'id',
        'openid',
        'unionid',
        'distribution_channel_id',
        'head_img',
        'register_ip',
        'send_order_id',
        'balance',
        'sex',
        'country',
        'city',
        'province',
        'nickname',
        'charge_balance',
        'reward_balance',
        'is_new'
    ];

    protected function force_subscribe_user()
    {
        return $this->hasOne(ForceSubscribeUsers::class, 'uid', 'id');
    }

    protected function user_env()
    {
        return $this->hasOne(UserEvn::class, 'uid', 'id');
    }
}
