<?php

namespace General\Controllers\CompanyAuth\Transformers;

class CustomSendMsgsTransformers
{
    public function transform($item)
    {
        return [
            'id'       =>  $item->id,
            'appid'       =>  $item->appid,
            'name'       =>  $item->name,
            'user_num' => $item->user_num,
            'send_time'       =>  $item->send_time,
            'uv'       =>  isset($item->uv) ? $item->uv : 0,
            'pv'       =>  isset($item->pv) ? $item->pv : 0,
            'channel_id'       =>  $item->distribution_channel_id ? $item->distribution_channel_id : 0,
            'pay_user_num'       =>  isset($item->pay_user_num) ? $item->pay_user_num : 0,
            'charge_amount'       =>  isset($item->charge_amount) ? $item->charge_amount : 0,
            'book_name'       =>  isset($item->book_name) ? $item->book_name : '',
            'chapter_name'       =>  isset($item->chapter_name) ? $item->chapter_name : '',
            'create_at' => $item->created_at->toDateTimeString()
        ];
    }
}
